Subject: Re: [Ecrit] PSAP Callback: Pending Draft Update - Feedback needed!

From: Christer Holmberg <[email-masked]>
Date: Tue, 7 Dec 2010 08:25:33 +0100

Hi,

Was there some outcome of this discussion?

Regards,

Christer 

-----Original Message-----
From: Hannes Tschofenig [mailto:[email-masked]] 
Sent: 25. marraskuuta 2010 13:54
To: DRAGE, Keith (Keith)
Cc: Hannes Tschofenig; Brian Rosen; Christer Holmberg; Hannes Tschofenig; ECRIT
Subject: Re: [Ecrit] PSAP Callback: Pending Draft Update - Feedback needed!

I understand the desire to have that use cases covered. 

I was interested to hear more about the desire properties because there are security implications that we may not want to ignore. 
The implication I see that it is difficult for the PSTN-IP gateway to decide whether an outgoing call is a callback or not. 
I am curious to hear whether there are mechanisms on the PSTN side that would allow such "callback marking" to be signaled to the gateway. 

On Nov 25, 2010, at 5:01 AM, DRAGE, Keith (Keith) wrote:

> Surely the IETF work is to enable the original user with an emergency to be IP connected. 
> 
> Giving the caller the benifit of the callback experience should be possible whether the PSAP is IP connected or connected via the PSTN. In many countries we expect to see PSAPs connected via the PSTN for a long time, while the users are increasingly IP connected.
> 
> Therefore whether the PSAP is IP connected or connected via the PSTN should not affect the way callbacks occur to that user. Whether there are technical problems with providing a solution or not, the use case is equally valid.
> 
> regards
> 
> Keith
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On 
>> Behalf Of Brian Rosen
>> Sent: Tuesday, November 23, 2010 2:06 PM
>> To: Christer Holmberg
>> Cc: Hannes Tschofenig; Hannes Tschofenig; ECRIT
>> Subject: Re: [Ecrit] PSAP Callback: Pending Draft Update - Feedback 
>> needed!
>> 
>> In every nation I know the details of (which isn't many), the PSTN 
>> affords no special processing to call backs.
>> 
>> Having the gateway aware that a call was a call back is not useful in 
>> those countries.
>> 
>> Brian
>> 
>> On Nov 23, 2010, at 8:48 AM, Christer Holmberg wrote:
>> 
>>> 
>>> Hi,
>>> 
>>>> What are the properties of the design in the PSTN case?
>>>> 
>>>> Based on what information is the PSTN-VoIP gateway going to put a 
>>>> callback marking on the call?
>>> 
>>> Unfortunately I don't have details of that available. I
>> think the information elements have different names depending on 
>> countries etc.
>>> 
>>> And, as I said, if no such information element is
>> available, number analysis can be used.
>>> 
>>> Regards,
>>> 
>>> Christer
>>> 
>>> _______________________________________________
>>> Ecrit mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/ecrit
>> 
>> _______________________________________________
>> Ecrit mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ecrit
>>